Page MenuHomePhabricator

link to rawgraphs.io from the wikidata query ui leads to a blank form
Closed, ResolvedPublic0 Estimate Story Points

Description

Maybe this is the result of rawgraphs.io not incorporating some change on their end, but https://gerrit.wikimedia.org/r/#/c/wikidata/query/gui/+/355593/ does not seem to work as it ought to.

When I go to, for example, http://w.wiki/3XL and run the query, clicking 'link' -> 'open in rawgraphs.io' drops you at this form http://wikidata.rawgraphs.io/?url=/ with no url entered. Instead, to get the data into rawgraphs I must clck 'code' on the wikidata query page, make sure 'url' is selected, and copy-paste the link into the form.

Task

For now we will remove the link until such a time that it is fixed.

Event Timeline

ArielGlenn triaged this task as Medium priority.May 1 2019, 9:30 AM
ArielGlenn created this task.
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 1 2019, 9:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I vaguely recall that we were waiting on the RAWGraphs folks for some fix, but I don’t remember if it was for this feature, or if that ever worked or not. But it might be time to retire that link. (Perhaps we can first track if anyone still uses it? We track a lot of other button clicks, but not this one as far as I can tell.)

I saw a query on twitter the other day from someone trying to get a direct wikidata <--> rawgraphs thing happening, I assume they tried (and failed) with that link.

And now it seems that http://wikidata.rawgraphs.io/ doesn't work at all any more :/
If it's not temporary then we should probably remove the link altogether :(

Lydia_Pintscher added subscribers: elal, Lydia_Pintscher.

@elal Do you have a few minutes to send an email to the rawgraph people alerting them about this?

Addshore added a subscriber: Addshore.

It's been a while!
Shall we remove the link until it is fixed @Lydia_Pintscher ?

Addshore updated the task description. (Show Details)Jan 17 2020, 12:25 PM
Addshore moved this task from Needs Work to Ready to pick up on the Wikidata-Campsite board.
Addshore added a project: good first task.
Addshore moved this task from incoming to consider for next sprint on the Wikidata board.

Change 565572 had a related patch set uploaded (by Silvan Heintze; owner: Silvan Heintze):
[wikidata/query/gui@master] Remove link to rawgraphs.io from query result

https://gerrit.wikimedia.org/r/565572

Silvan_WMDE changed the task status from Open to Stalled.Jan 20 2020, 9:43 AM

Blocked by T242640

Silvan_WMDE changed the task status from Stalled to Open.Jan 20 2020, 11:05 AM

Change 565572 merged by jenkins-bot:
[wikidata/query/gui@master] Remove link to rawgraphs.io from query result, but keep translation messages

https://gerrit.wikimedia.org/r/565572

Change 566029 had a related patch set uploaded (by Silvan Heintze; owner: Silvan Heintze):
[wikidata/query/gui@master] Add note to the translation description, that messages are currently unused

https://gerrit.wikimedia.org/r/566029

Change 566029 merged by jenkins-bot:
[wikidata/query/gui@master] Add note to the translation description, that messages are currently unused

https://gerrit.wikimedia.org/r/566029

Just waiting for the next WDQS deployment which will likely be at the start of next week now.

Silvan_WMDE closed this task as Resolved.Thu, Feb 6, 9:54 AM

deployed and verified: link is gone